Bug 1009388 - [abrt] libreoffice-core-4.1.1.2-4.fc19: add_node: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-4.1.1.2-4.fc19: add_node: Process /usr/lib64/libreoff...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:73578ee59728a74483e24f82e20...
:
: 1009456 1089682 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 06:40 EDT by Allan Engelhardt
Modified: 2014-04-21 11:21 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-07 08:09:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (68.84 KB, text/plain)
2013-09-18 06:40 EDT, Allan Engelhardt
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-18 06:40 EDT, Allan Engelhardt
no flags Details
File: core_backtrace (40.62 KB, text/plain)
2013-09-18 06:40 EDT, Allan Engelhardt
no flags Details
File: dso_list (25.19 KB, text/plain)
2013-09-18 06:40 EDT, Allan Engelhardt
no flags Details
File: environ (3.94 KB, text/plain)
2013-09-18 06:41 EDT, Allan Engelhardt
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-18 06:41 EDT, Allan Engelhardt
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-18 06:41 EDT, Allan Engelhardt
no flags Details
File: maps (152.17 KB, text/plain)
2013-09-18 06:41 EDT, Allan Engelhardt
no flags Details
File: open_fds (787 bytes, text/plain)
2013-09-18 06:41 EDT, Allan Engelhardt
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2013-09-18 06:41 EDT, Allan Engelhardt
no flags Details
File: var_log_messages (4.62 KB, text/plain)
2013-09-18 06:41 EDT, Allan Engelhardt
no flags Details
Output from fc-list -v as requested (884.83 KB, application/x-compressed)
2013-09-18 10:38 EDT, Allan Engelhardt
no flags Details

  None (edit)
Description Allan Engelhardt 2013-09-18 06:40:39 EDT
Description of problem:
It just crashes for no apparent reason: there is no specific command or action that causes it, just many repeated crashes during the day.

Version-Release number of selected component:
libreoffice-core-4.1.1.2-4.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 3
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress --splash-pipe=5
crash_function: add_node
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.10.11-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            2000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 add_node at /usr/include/boost/unordered/detail/unique.hpp:311
 #1 operator[] at /usr/include/boost/unordered/detail/unique.hpp:351
 #3 ServerFont::GetGlyphData at /usr/src/debug/libreoffice-4.1.1.2/vcl/generic/glyphs/glyphcache.cxx:356
 #4 GetGlyphMetric at /usr/src/debug/libreoffice-4.1.1.2/vcl/inc/generic/glyphcache.hxx:209
 #5 freetypeServerFontAdvance at /usr/src/debug/libreoffice-4.1.1.2/vcl/generic/glyphs/graphite_serverfont.cxx:39
 #6 ??
 #7 ??
 #8 ??
 #9 ??
 #10 ??
Comment 1 Allan Engelhardt 2013-09-18 06:40:43 EDT
Created attachment 799300 [details]
File: backtrace
Comment 2 Allan Engelhardt 2013-09-18 06:40:47 EDT
Created attachment 799301 [details]
File: cgroup
Comment 3 Allan Engelhardt 2013-09-18 06:40:51 EDT
Created attachment 799302 [details]
File: core_backtrace
Comment 4 Allan Engelhardt 2013-09-18 06:40:56 EDT
Created attachment 799303 [details]
File: dso_list
Comment 5 Allan Engelhardt 2013-09-18 06:41:00 EDT
Created attachment 799304 [details]
File: environ
Comment 6 Allan Engelhardt 2013-09-18 06:41:03 EDT
Created attachment 799305 [details]
File: exploitable
Comment 7 Allan Engelhardt 2013-09-18 06:41:06 EDT
Created attachment 799306 [details]
File: limits
Comment 8 Allan Engelhardt 2013-09-18 06:41:10 EDT
Created attachment 799307 [details]
File: maps
Comment 9 Allan Engelhardt 2013-09-18 06:41:14 EDT
Created attachment 799308 [details]
File: open_fds
Comment 10 Allan Engelhardt 2013-09-18 06:41:18 EDT
Created attachment 799309 [details]
File: proc_pid_status
Comment 11 Allan Engelhardt 2013-09-18 06:41:21 EDT
Created attachment 799310 [details]
File: var_log_messages
Comment 12 Caolan McNamara 2013-09-18 10:19:10 EDT
*** Bug 1009456 has been marked as a duplicate of this bug. ***
Comment 13 Caolan McNamara 2013-09-18 10:21:06 EDT
Bustage in graphite font handling somehow. So this is happening because you have some graphite enabled font installed. Did you select some specific font before the crash ?

Otherwise can I get the full list of installed fonts as the output of fc-list -v as an attachment to this bug
Comment 14 Allan Engelhardt 2013-09-18 10:37:03 EDT
No, I don't change fonts. The document uses Linux Libertine G and DejaVu Sans Mono. Will add the fc-list now.
Comment 15 Allan Engelhardt 2013-09-18 10:38:28 EDT
Created attachment 799402 [details]
Output from fc-list -v as requested
Comment 16 Allan Engelhardt 2013-09-18 10:39:50 EDT
May be relevant (?) that the default font is

Linux Libertine G:case=1&pnum=1&nfsp=0&para=1&thou=1&hang=0

Hope this helps somehow.
Comment 17 Caolan McNamara 2013-10-07 08:09:13 EDT
unfortunately I can't reproduce anything with that as my default font in impress even under valgrind.
Comment 18 Milan Bouchet-Valat 2014-04-21 11:20:55 EDT
Seen the same in Bug 1009388. I was indeed using Linux Libertine and Linux Biolinum, though without any special graphite attribute (i.e. after :).

Sad to get yet another hard to reproduce crash... They add up, and in the end the experience is quite poor.
Comment 19 Milan Bouchet-Valat 2014-04-21 11:21:38 EDT
*** Bug 1089682 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.